Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class EntityInstancePool

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractInstancePool
            |
            +--org.jboss.ejb.plugins.EntityInstancePool

All Implemented Interfaces:
  ContainerPlugin, InstancePool, Service, XmlLoadable

public class EntityInstancePool
extends AbstractInstancePool

Version:
  $Revision: 1.9.6.4 $

  Revisions:

  20010718 andreas schaefer:

  - - Added statistics gathering

  20010920 Sacha Labourey:

  - - Moved "reclaim" flag (set by Bill Burke) to the AbstractInstancePool level. It can now be used for SLSB and MDB (pooling activated)
Author:
  Rickard Öberg, Marc Fleury, Andreas Schaefer, Sacha Labourey
See Also:

Fields inherited from class org.jboss.ejb.plugins.AbstractInstancePool
`container, log, maxSize, pool, poolFeeder, reclaim`

Constructor Summary
`EntityInstancePool()`

Method Summary
`protected EnterpriseContext` | `create(java.lang.Object instance)`
`void` | `free(EnterpriseContext ctx)` Return an instance to the free pool.
`void` | `start()`

Methods inherited from class org.jboss.ejb.plugins.AbstractInstancePool
`add, destroy, discard, get, getContainer, getCurrentSize, getMaxSize, getReclaim, importXml, init, setContainer, setReclaim, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityInstancePool

    public EntityInstancePool()

Method Detail

### free

    public void free(EnterpriseContext ctx)

  Return an instance to the free pool. Reset state Called in 3 cases: a) Done with finder method b) Removed c) Passivated
  Overrides:
    `free` in class `AbstractInstancePool`
  Parameters:
    `ctx` -

### start

    public void start()
               throws java.lang.Exception

  Overrides:
    `start` in class `AbstractInstancePool`

### create

    protected EnterpriseContext create(java.lang.Object instance)
                                throws java.lang.Exception

  Overrides:
    `create` in class `AbstractInstancePool`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.